Debian Bug report logs - #497472
Does not restore xrandr display settings on exit

version graph

Package: libsdl1.2; Maintainer for libsdl1.2 is Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>;

Reported by: Chris Lamb <chris@chris-lamb.co.uk>

Date: Mon, 1 Sep 2008 22:30:05 UTC

Severity: normal

Merged with 500314, 505876, 512022

Found in version 1.2.13-3

Fixed in version 1.2.15-1

Done: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Watkins <daniel@daniel-watkins.co.uk>:
Bug#497472; Package angrydd. Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <chris@chris-lamb.co.uk>:
New Bug report received and forwarded. Copy sent to Daniel Watkins <daniel@daniel-watkins.co.uk>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: submit@bugs.debian.org
Subject: Does not restore xrandr display settings on exit
Date: Mon, 1 Sep 2008 23:29:19 +0100
[Message part 1 (text/plain, inline)]
Package: angrydd
Severity: normal
Version: 1.0.1-6

I use xrandr for dual-head configuration. When I load angrydd, the display
is cloned onto both monitors, which is perfectly acceptable.

However, upon exiting, both displays remain cloned and I have to call xrandr
myself with my desired layout settings to resolve the issue.


Regards,

-- 
Chris Lamb, UK                                       chris@chris-lamb.co.uk
                                                            GPG: 0x634F9A20
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Watkins <daniel@daniel-watkins.co.uk>:
Bug#497472; Package angrydd. Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <chris@chris-lamb.co.uk>:
Extra info received and forwarded to list. Copy sent to Daniel Watkins <daniel@daniel-watkins.co.uk>. Full text and rfc822 format available.

Message #10 received at 497472@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: 497472@bugs.debian.org
Subject: Re: Does not restore xrandr display settings on exit
Date: Tue, 2 Sep 2008 00:31:36 +0100
[Message part 1 (text/plain, inline)]
reassign 497472 python-pygame
thanks

> However, upon exiting, both displays remain cloned and I have to call
> xrandr myself with my desired layout settings to resolve the issue.

I can reproduce this under solarfox, so reassigning to PyGame. Thanks to
Daniel Watkins <daniel@daniel-watkins.co.uk> for the pointer.


Regards,

-- 
Chris Lamb, UK                                       chris@chris-lamb.co.uk
                                                            GPG: 0x634F9A20
[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package `angrydd' to `python-pygame'. Request was from Chris Lamb <chris@chris-lamb.co.uk> to control@bugs.debian.org. (Mon, 01 Sep 2008 23:36:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#497472; Package python-pygame. Full text and rfc822 format available.

Acknowledgement sent to "René Dudfield" <renesd@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. Full text and rfc822 format available.

Message #17 received at 497472@bugs.debian.org (full text, mbox):

From: "René Dudfield" <renesd@gmail.com>
To: 497472@bugs.debian.org
Subject: Does not restore xrandr display settings on exit
Date: Tue, 2 Sep 2008 17:59:31 +1000
hello,

This is related to SDL, not just pygame.  Since pygame uses SDL.

You can check this by running another game that uses SDL.

Might be related to this bug fix in SDL svn:
http://bugzilla.libsdl.org/show_bug.cgi?id=109

Not sure if that fix has made it into your version of SDL yet... or if
it fixes the bug.


cheers,




Bug reassigned from package 'python-pygame' to 'libsdl1.2'. Request was from Vincent Cheng <vincentc1208@gmail.com> to control@bugs.debian.org. (Sat, 27 Aug 2011 06:06:03 GMT) Full text and rfc822 format available.

Forcibly Merged 497472 500314 505876 512022. Request was from Vincent Cheng <vincentc1208@gmail.com> to control@bugs.debian.org. (Sat, 27 Aug 2011 06:06:03 GMT) Full text and rfc822 format available.

Reply sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
You have taken responsibility. (Sun, 04 Mar 2012 19:30:04 GMT) Full text and rfc822 format available.

Notification sent to Chris Lamb <chris@chris-lamb.co.uk>:
Bug acknowledged by developer. (Sun, 04 Mar 2012 19:30:04 GMT) Full text and rfc822 format available.

Message #26 received at 497472-done@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: 497472-done@bugs.debian.org
Subject: Re: Does not restore xrandr display settings on exit
Date: Sun, 4 Mar 2012 19:27:25 +0000
Version: 1.2.15-1

Hello,

Thank you for your interest in improving Debian, and sorry to keep the
bug unattended for so long.  There's now an effort to review the open
bugs related with SDL packages.

I think that this has been fixed, even if indirectly, by disabling
XRandR support by default (this was released with 1.2.15-1):
http://www.libsdl.org/release/changes-1.2.html

"XRandR support is disabled by default because it causes desktop
reconfiguring. It can be enabled with the SDL_VIDEO_X11_XRANDR=1
environment variable, or by applying this patch:
http://hg.libsdl.org/SDL/raw-rev/8ec3036098df"

All of the merged bug reports do not seem to complain that the
applications don't run with several monitors at once (it would be
difficult/confusing/annoying to play most games with the screen split,
I guess), but that the displays are messed up when the application
exits, so this not-support-by-default fixes that.

So I think that it's safe to close the bug report now.  Please reopen
if you still experience problems related with this, or if you think
that there should be a betteer solution.


Regards.




Reply sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
You have taken responsibility. (Sun, 04 Mar 2012 19:30:04 GMT) Full text and rfc822 format available.

Notification sent to Bas Wijnen <wijnen@debian.org>:
Bug acknowledged by developer. (Sun, 04 Mar 2012 19:30:04 GMT) Full text and rfc822 format available.

Reply sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
You have taken responsibility. (Sun, 04 Mar 2012 19:30:05 GMT) Full text and rfc822 format available.

Notification sent to Stefan Ritter <xeno@thehappy.de>:
Bug acknowledged by developer. (Sun, 04 Mar 2012 19:30:05 GMT) Full text and rfc822 format available.

Reply sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
You have taken responsibility. (Sun, 04 Mar 2012 19:30:05 GMT) Full text and rfc822 format available.

Notification sent to Andreas Bombe <aeb@debian.org>:
Bug acknowledged by developer. (Sun, 04 Mar 2012 19:30:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Apr 2012 07:32:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:20:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.